/*=========================================================================

  Program:   ITK-SNAP
  Module:    $RCSfile: Credits.h,v $
  Language:  C++
  Date:      $Date: 2007/12/30 04:05:11 $
  Version:   $Revision: 1.2 $
  Copyright (c) 2007 Paul A. Yushkevich
  
  This file is part of ITK-SNAP 

  ITK-SNAP is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.

  -----

  Copyright (c) 2003 Insight Software Consortium. All rights reserved.
  See ITKCopyright.txt or http://www.itk.org/HTML/Copyright.htm for details.

  This software is distributed WITHOUT ANY WARRANTY; without even
  the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
  PURPOSE.  See the above copyright notices for more information. 

=========================================================================*/
#ifndef __Credits_h_
#define __Credits_h_

static const char itkCredits[] = 
  "ITK Integration performed under \n"
  "Purchase Order No. 467-MZ-202446-1 \n"
  "of the U.S. National Library of Medicine \n"
  "Oct. 2002 - Sep. 2003 \n"
  "\n"
  "Contractor    : Cognitica Corporation \n"
  "Contract PI   : Dr. Daniel S. Fritsch \n"
  "Lead Developer: Dr. Paul A. Yushkevich \n"
  "Consultants   : Dr. Guido Gerig (UNC-CH) \n"
  "                Dr. Stephen R. Aylward \n";  

static const char credits[] =
 "\
University of North Carolina at Chapel Hill \n\
Department of Computer Science \n\
\n\
Client: Dr. Guido Gerig \n\
Comp145 Manager: Kye Hedlund \n\
\n\
SnAP Comp145 development team: \n\
  Konstantin Bobkov \n\
  Nathan Moon, Producer \n\
  Thorsten Scheuermann, Technical Director \n\
  Nathan Talbert \n\
\n\
IRIS2000 Comp145 development team: \n\
  Ashraf Farrag, Producer \n\
  Amy Henderson \n\
  Sean Ho, Technical Director \n\
  Robin Munesato \n\
  Ming Yu \n\
\n\
IRIS99 Comp145 development team:\n\
  David Gregg \n\
  Eric Larsen \n\
  Arun Neelamkavil, Producer \n\
  Sanjay Sthapit \n\
  Chris Wynn, Technical Director \n\
\n\
Support/Maintenance team: \n\
  Sean Ho (2000) \n";

#endif // __Credits_h_

/*
 *$Log: Credits.h,v $
 *Revision 1.2  2007/12/30 04:05:11  pyushkevich
 *GPL License
 *
 *Revision 1.1  2006/12/02 04:22:09  pyushkevich
 *Initial sf checkin
 *
 *Revision 1.1.1.1  2006/09/26 23:56:18  pauly2
 *Import
 *
 *Revision 1.4  2003/10/02 13:43:12  pauly
 *ENH: Development during September code freeze
 *
 *Revision 1.7  2003/09/11 13:50:29  pauly
 *FIX: Enabled loading of images with different orientations
 *ENH: Implemented image save and load operations
 *
 *Revision 1.3  2003/08/27 14:03:20  pauly
 *FIX: Made sure that -Wall option in gcc generates 0 warnings.
 *FIX: Removed 'comment within comment' problem in the cvs log.
 *
 *Revision 1.2  2003/08/27 04:57:45  pauly
 *FIX: A large number of bugs has been fixed for 1.4 release
 *
 *Revision 1.1  2003/07/12 04:53:16  pauly
 *Initial checkin of SNAP application to the InsightApplications tree
 *
 *Revision 1.5  2003/07/12 01:34:17  pauly
 *More final changes before ITK checkin
 *
 *Revision 1.4  2003/07/11 23:29:46  pauly
 **** empty log message ***
 *
 *Revision 1.3  2003/07/11 21:23:36  pauly
 *Renames and code cleanup for ITK checkin (temp)
 *
 *Revision 1.2  2003/06/08 23:27:56  pauly
 *Changed variable names using combination of ctags, egrep, and perl.
 *
 *Revision 1.1  2003/03/07 19:29:47  pauly
 *Initial checkin
 *
 *Revision 1.1.1.1  2002/12/10 01:35:36  pauly
 *Started the project repository
 *
 *
 *Revision 1.5  2002/04/25 17:09:22  moon
 *Changed credits so we come first!  There's no scrollbar on the credits
 *display, so it's useless to put our stuff at the bottom.
 *
 *Revision 1.4  2002/04/24 01:33:04  scheuerm
 *Fixed a compile problem on Windows
 *
 *Revision 1.3  2002/04/24 01:04:42  talbert
 *Added this semester's credits.
 *
 *Revision 1.2  2002/03/08 14:06:20  moon
 *Added Header and Log tags to all files
 */
